/**
 * @version 3, Feb 2
 * In this version, the Counter has become more passive: it simply holds an int
 * counter and increments or returns it upon demand.  The separate class Testbed
 * is now in charge of initiating the Timer, creating the Counter, etc.
 */

public class Counter
{
    private int current = 0;

    /**
     * Get current value of counter.
     * 
     * @since version 1
     * @return the current value (an int)
     */
    public int getCurrent ()
    {
        return this.current;
    }
    
    /**
     * Increment the counter.
     * 
     * @since version 2
     */
    public void increment ()
    {
        this.current++;
    }

}
